# White Papers and Spec

## Publications

* **Orbs Position Paper**\
  <https://www.orbs.com/white-papers/orbs-position-paper>\
  This is the original Orbs protocol white paper published in April 2018 which outlines the network's long term vision and core architecture.<br>
* **Orbs Technology Overview**\
  <https://www.orbs.com/white-papers/orbs-technology-overview-2>\
  This technical paper was published in May 2019 and provides an overview of all major technology aspects that make up the Orbs platform.<br>
* **Helix Consensus Paper**\
  <https://www.orbs.com/white-papers/helix-consensus-whitepaper>\
  An introduction to Helix, a decentralized, scalable and fair consensus algorithm created by the Orbs team and academics from the Technion - Israel institute of technology.<br>
* **More white papers**\
  [https://www.orbs.com/white-papers](https://www.orbs.com/white-papers/)\
  The full list of white papers, research papers and working papers published by the Orbs team since the project's beginning in 2017.

## Protocol Specification

* **Protocol Spec on GitHub**\
  <https://github.com/orbs-network/orbs-spec>\
  The Orbs platform protocol and service specifications, interfaces and network architecture.<br>
* **Orbs Token Contract**\
  <https://github.com/orbs-network/orbs-token>\
  The official Ethereum smart contracts for the Orbs platform token - ORBS.<br>
* **Orbs Staking Contract**\
  <https://github.com/orbs-network/orbs-staking-contract>\
  Orbs staking contracts on EVM used for Orbs Proof-of-Stake implementation.<br>
* **Orbs PoS Contracts v2**\
  <https://github.com/orbs-network/orbs-ethereum-contracts-v2>\
  Orbs Proof-of-Stake V2 EVM smart contract implementation and testkit.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/overview/white-papers-and-spec.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
